import { useRequest } from "@/use/useHttp"

/**
 * 获取应收单订单支付方式信息
 */
 export const GetOrderPayApi = () => {
    return useRequest({
        url: `/v1/mall/orderPayment/orderPaymentMethodInfo`,
        method: "get",
    })
}

/**
 * 应收单订单支付提交
 */
 export const SubmitOrderPayApi = () => {
    return useRequest({
        url: `/v1/mall/orderPayment/orderPaymentSubmission`,
        method: "put",
    })
}

/**
 * 获取应收单订单支付方式信息
 */
 export const GetOrderPayApi2 = () => {
    return useRequest({
        url: `/v1/mall/orderPayment/preCollectOrder/orderPaymentMethodInfo`,
        method: "get",
    })
}